package others_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type MobilesealSignUploadDigestRequest struct {
	// 【本次签署任务id】本次签署任务id
	SignSid string `json:"signSid"`
	// 【待签署数据摘要的Base64】待签署数据摘要的Base64
	SignDigest string `json:"signDigest"`
	// 【当前签署的文件名称】当前签署的文件名称 【作用】 用于操作日志中记录签署的文件
	FileName string `json:"fileName,omitempty"`
	// 【签章次数】签章次数 【作用】 用于操作日志中记录印章签署次数
	SealCounts []*common.MobileSignSealCount `json:"sealCounts"`
}

func (obj MobilesealSignUploadDigestRequest) GetUrl() string {
	return "/mobileseal/sign/upload/digest"
}

func (obj MobilesealSignUploadDigestRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
